Set
Initialization

## Set

Set methods for 1D vectors of various types. The copy methods operate on vector data given as a pointer to the underlying data-type (e.g. 8-bit vectors would be passed as pointers to Npp8u type) and length of the vectors, i.e. the number of items.
NppStatus | nppsSet_8u (Npp8u nValue, Npp8u *pDst, int nLength)
| 8-bit unsigned char, vector set method. More...
NppStatus | nppsSet_8s (Npp8s nValue, Npp8s *pDst, int nLength)
| 8-bit signed char, vector set method. More...
NppStatus | nppsSet_16u (Npp16u nValue, Npp16u *pDst, int nLength)
| 16-bit unsigned integer, vector set method. More...
NppStatus | nppsSet_16s (Npp16s nValue, Npp16s *pDst, int nLength)
| 16-bit signed integer, vector set method. More...
NppStatus | nppsSet_16sc (Npp16sc nValue, Npp16sc *pDst, int nLength)
| 16-bit integer complex, vector set method. More...
NppStatus | nppsSet_32u (Npp32u nValue, Npp32u *pDst, int nLength)
| 32-bit unsigned integer, vector set method. More...
NppStatus | nppsSet_32s (Npp32s nValue, Npp32s *pDst, int nLength)
| 32-bit signed integer, vector set method. More...
NppStatus | nppsSet_32sc (Npp32sc nValue, Npp32sc *pDst, int nLength)
| 32-bit integer complex, vector set method. More...
NppStatus | nppsSet_32f (Npp32f nValue, Npp32f *pDst, int nLength)
| 32-bit float, vector set method. More...
NppStatus | nppsSet_32fc (Npp32fc nValue, Npp32fc *pDst, int nLength)
| 32-bit float complex, vector set method. More...
NppStatus | nppsSet_64s (Npp64s nValue, Npp64s *pDst, int nLength)
| 64-bit long long integer, vector set method. More...
NppStatus | nppsSet_64sc (Npp64sc nValue, Npp64sc *pDst, int nLength)
| 64-bit long long integer complex, vector set method. More...
NppStatus | nppsSet_64f (Npp64f nValue, Npp64f *pDst, int nLength)
| 64-bit double, vector set method. More...
NppStatus | nppsSet_64fc (Npp64fc nValue, Npp64fc *pDst, int nLength)
| 64-bit double complex, vector set method. More...

## Detailed Description

## Function Documentation

NppStatus nppsSet_16s | ( | Npp16s | nValue,
|  | Npp16s * | pDst,
|  | int | nLength
| ) |  |

16-bit signed integer, vector set method.

Parameters

  nValue | Value used to initialize the vector pDst.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSet_16sc | ( | Npp16sc | nValue,
|  | Npp16sc * | pDst,
|  | int | nLength
| ) |  |

16-bit integer complex, vector set method.

Parameters

  nValue | Value used to initialize the vector pDst.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSet_16u | ( | Npp16u | nValue,
|  | Npp16u * | pDst,
|  | int | nLength
| ) |  |

16-bit unsigned integer, vector set method.

Parameters

  nValue | Value used to initialize the vector pDst.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSet_32f | ( | Npp32f | nValue,
|  | Npp32f * | pDst,
|  | int | nLength
| ) |  |

32-bit float, vector set method.

Parameters

  nValue | Value used to initialize the vector pDst.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSet_32fc | ( | Npp32fc | nValue,
|  | Npp32fc * | pDst,
|  | int | nLength
| ) |  |

32-bit float complex, vector set method.

Parameters

  nValue | Value used to initialize the vector pDst.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSet_32s | ( | Npp32s | nValue,
|  | Npp32s * | pDst,
|  | int | nLength
| ) |  |

32-bit signed integer, vector set method.

Parameters

  nValue | Value used to initialize the vector pDst.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSet_32sc | ( | Npp32sc | nValue,
|  | Npp32sc * | pDst,
|  | int | nLength
| ) |  |

32-bit integer complex, vector set method.

Parameters

  nValue | Value used to initialize the vector pDst.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSet_32u | ( | Npp32u | nValue,
|  | Npp32u * | pDst,
|  | int | nLength
| ) |  |

32-bit unsigned integer, vector set method.

Parameters

  nValue | Value used to initialize the vector pDst.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSet_64f | ( | Npp64f | nValue,
|  | Npp64f * | pDst,
|  | int | nLength
| ) |  |

64-bit double, vector set method.

Parameters

  nValue | Value used to initialize the vector pDst.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSet_64fc | ( | Npp64fc | nValue,
|  | Npp64fc * | pDst,
|  | int | nLength
| ) |  |

64-bit double complex, vector set method.

Parameters

  nValue | Value used to initialize the vector pDst.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSet_64s | ( | Npp64s | nValue,
|  | Npp64s * | pDst,
|  | int | nLength
| ) |  |

64-bit long long integer, vector set method.

Parameters

  nValue | Value used to initialize the vector pDst.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSet_64sc | ( | Npp64sc | nValue,
|  | Npp64sc * | pDst,
|  | int | nLength
| ) |  |

64-bit long long integer complex, vector set method.

Parameters

  nValue | Value used to initialize the vector pDst.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSet_8s | ( | Npp8s | nValue,
|  | Npp8s * | pDst,
|  | int | nLength
| ) |  |

8-bit signed char, vector set method.

Parameters

  nValue | Value used to initialize the vector pDst.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSet_8u | ( | Npp8u | nValue,
|  | Npp8u * | pDst,
|  | int | nLength
| ) |  |

8-bit unsigned char, vector set method.

Parameters

  nValue | Value used to initialize the vector pDst.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

Copyright © 2009-2017 NVIDIA Corporation